Create an API key
curl --request POST \
--url https://connie.ai/api/workspaces/{workspaceId}/api-keys \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--data '
{
"name": "Codex on laptop"
}
'import requests
url = "https://connie.ai/api/workspaces/{workspaceId}/api-keys"
payload = { "name": "Codex on laptop" }
headers = {
"Cookie": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Cookie: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Codex on laptop'})
};
fetch('https://connie.ai/api/workspaces/{workspaceId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prefix": "<string>",
"permissions": [
"mcp:access",
"tools:read",
"tools:execute"
],
"executionUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPersonal": true,
"isMine": true,
"revealable": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
},
"plaintext": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}API keys
Create an API key
Creates a key that acts with your permissions. The response holds the full key in plaintext; you can copy it again later from Settings > Developers. A workspace can have up to 50 active keys.
POST
/
workspaces
/
{workspaceId}
/
api-keys
Create an API key
Authorizations
The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.
Path Parameters
The workspace id, as in the app URL connie.ai/<workspaceId>/....
Body
application/json
Name it after the tool or computer that will use it.
Required string length:
1 - 100